<?php
function calcsim()
{
	global $intt,$factor;
	$pintt=$intt/$factor;
	$p=100000;
	$A=$p*pow((1+$pintt/100),$factor);
	$r=($A-$p)/$p*100;
	
	return $r;
}

function setparam($opt)
{
	global $intt,$term,$arr,$princ,$mora,$morapc,$val,$matu,$mydecimal;
	global $mora2,$mora3,$eduflag;
	global $factor;
	global $moraco;
	$mora=0;
	if ($opt%3==2) $mora=$mora2;
	if ($opt%3==0) $mora=$mora3;
	if ($opt==13) $mora=$term;
	$intt=round($intt,5);
	$val=round($princ*pow((1+$intt/100/$factor),$mora*$factor),2);
	if ($eduflag===true)
	{
		$si=0;
		$pin=calcsim();
		if ($mora>0)
		{	for ($i=1;$i<=$mora2;$i++)
			{
				$si+=round($princ*$i/$mora2*$pin/100*1,2);
			}
			$si+=round($princ*$pin/100/$factor*($mora-$mora2)*$factor,2);
		}
		$val=$princ+$si;
	}
	$moraco=calcmoraco($opt);
	$morapc=round($val*$intt/$princ,5); //,$mydecimal);
}
function calcmoraco($opt)
{
	global $intt,$term,$arr,$princ,$mora,$morapc,$val,$matu,$mydecimal;
	global $mora2,$mora3;
	global $factor,$eduflag,$banflag;
	$mora=0;
	if ($opt%3==2) $mora=$mora2;
	if ($opt%3==0) $mora=$mora3;
	if ($opt==13) $mora=$term;
	$co=$princ;
	for ($i=0;$i<$mora;$i++)
	{
		$pmt=0;
		for ($j=0;$j<$factor;$j++)
		{
			$payable=round($co*$intt/100/$factor,2);
			//if ($banflag && $i+$j==0) $payable=0;
			$co=round($co+$payable-$pmt,2);
		}
	}
	if ($eduflag===true)
	{
		$si=0;
		$pin=calcsim();
		if ($mora>0)
		{	for ($i=1;$i<=$mora2;$i++)
			{
				$si+=round($princ*$i/$mora2*$pin/100*1,2);
			}
			$si+=round($princ*$pin/100/$factor*($mora-$mora2)*$factor,2);
		}
		$co=$princ+$si;
	}
	return $co;
}

function pmtemi($int,$n,$pv,$fv,$beginning=0,$conv='nonconventional')
{
	global $maturityflag,$banflag,$maturityval;
	global $licopt56pmt,$princ;
	$msg=array("$errspan pv=$pv fv=$fv  $errspanend");
	if (!$maturityval ||$conv==='conventional' ) $fv=0;
	
	if ($fv==='half') return round($licopt56pmt/$princ*$pv,2);
	
	if ($pv==$fv)
	{
		$emi=$pv*$int;
		if ($beginning==1 || $banflag) $emi/=(1+$int);
		$msg[0].=" $errspan emi=$emi within pmtemi routine $erspanend";
		return round($emi,2);
	}
	
	$emi=$int* ($pv)*(pow(1+$int,$n)/(pow(1+$int,$n)-1));
	if ($begiing!=0 || $banflag) $emi/=(1+$int);
	$emi=round($emi,2);
	$emird=0;
	
	while($n>0)
	{	$emird+=pow((1+$int),$n-1);
		$n--;
	}
	$emird=$fv/($emird);
	if ($beginning!=0 || $banflag) $emird/=(1+$int);
	$emird=round($emird,2);
	$result=round(($emi-$emird),2); //($emi-$emird); 
	return $result;
}









?>