<?php
//also refer www.bnv.bvraghav/projects/pension/calcfd/fdpmtemiROP
session_start();
require_once("pensionfdpmtemiROP.php");
//   calling convention for function pmtemiROP($p, $fv, $term, $int,$factor=1, $inf=1.1, $banflag=true)

	/* $p	Principal/present val/purchase price
	* $fv	future val  / special value for fv is 'half' meaning 50% ROP/further pension
	* $term	periods in years
	* $int	interest rate pa
	* $factor 1 for yearly, 4 for Qrly, 2 for H.yearly, 12 for monthly default 1
	* $inf	inflation constant 1.0 for 0% increase default 1.1
	* $banflag true for pmt at beginning period or false for end of period default true;
	*/

//  ******** Main program

function callme($n)
{	global $nil,$emiROP,$defapension, $halfemipension,$halfpension,$echo,$princ,$comm,$intfd,$termfd;
	$sepa="\\,";
	$end="\n";
	$defapension=false; $halfemipension=false; $halfpension=false;
	$err="";
	if (isset($princ)) $p=$princ;
	else
	@$p	=$_REQUEST['princ']; 
	if (!isset($p)) $err="invalid principal\n<br>";
	$princ=$p;
	@$fv	=$_REQUEST['futureval']; if (!isset($fv)) $fv=0;
	@$halfval=$_REQUEST['halfval']; if (!isset($halfval)) $halfval=false;
	if ($halfval===true || $halfval==1 || $halfval=='true') $fv='half';
	if (isset($termfd)) $term=$termfd;
	else
	{	@$term	=$_REQUEST['term']; if (!isset($term)) $err.="invalid term\n<br>";}
	@$factor=$_REQUEST['factor']; if (!isset($factor)) $factor=1;
	@$inf	=$_REQUEST['infla']; if (!isset($inf)) $inf=1.1;
	@$banflag=$_REQUEST['banflag']; if (!isset($banflag)|| $banflag==='true'|| $banflag===true|| $banflag==1) $banflag=true; else $banflag=false;
	//if ($banflag=='true'|| $banflag==1) $banflag=true;
	if (isset($intfd)) $int=$intfd;
	else
	{ @$int	=$_REQUEST['intt']; if (!isset($int)) $err.="invalid rate\n<br>";}
	@$url   =$_REQUEST['url'];  if (!isset($url)) $url='';
	$comm=false;
	if (strpos($url,'pensioncommission.php')!==false) $comm=true;
	if (strpos($url,'custom=SudhaMurthy')!==false) $comm=true;
	if (strpos($url,'custom=MutualFund')!==false) $comm=true;
	//if (strpos($url,'custom=SudhaMurthy')!==false) $comm=false;
	if ($err>"")
	{
		$echo ="ERROR: ".$err;
		exit();
	}
	
	switch ($n)
	{	case 'nil': $nilpension=true;
			$nil=pmtemiROP($p,0,$term,$int,$factor,1.0,$banflag);
			$echo.= $n.',1'.$sepa.$nil.$sepa.$end;
			$nilpension=false;
			$pmt=pmtemiROP($p,0,$term,$int,$factor,$inf,$banflag);
			$echo.= $n.',4'.$sepa.$pmt.$sepa.$end;
			$echo.= $n.',7'.$sepa.'not applicable'.$sepa.$end;
			$echo.= $n.',10'.$sepa.'not applicable'.$sepa.$end; 
		break;

		case 'defa':
			$defapension=true;
			$emiROP=pmtemiROP($p,$p,$term,$int,$factor,1.0,$banflag);
			$echo.= $n.',1'.$sepa.$emiROP.$sepa.$end;
			$defapension=false;
			$pmt=pmtemiROP($p,($p+($banflag?$emiROP:0)),$term,$int,$factor,$inf,$banflag);
			$echo.= $n.',4'.$sepa.$pmt.$sepa.$end;
			$defapension=false;
			$pmt=pmtemiROP($p,'full',$term,$int,$factor,$inf,$banflag);
			$echo.= $n.',7'.$sepa.$pmt.$sepa.$end;
			$echo.= $n.',10'.$sepa.'not applicable'.$sepa.$end;
		break;
		
		case 'half':
			$halfemipension=true;
			$pmt=pmtemiROP($p,'half',$term,$int,$factor,1.0,$banflag);
			$echo.= $n.',1'.$sepa.$pmt.$sepa.$end;
			$halfemipension=false;
			$pmt=pmtemiROP($p,($p/2+($banflag?$pmt/2:0)),$term,$int,$factor,$inf,$banflag);
			$echo.= $n.',4'.$sepa.$pmt.$sepa.$end;
			$halfemipension=false;
			$halfpension=true;
			$echo.= $n.',7'.$sepa.'not applicable'.$sepa.$end;
			$pmt=pmtemiROP($p,'half',$term,$int,$factor,$inf,$banflag);
			$echo.= $n.',10'.$sepa.$pmt.$sepa.$end;
			$halfpension=false;
		break;
	}
}
global $echo;
$echo="";
callme('nil');  //nil pension equivalent to pmt /emi  without ROP
if ($comm===true)
{
	$princ=round(1000/$nil*$princ,2);
	$echo=$princ.":";
	callme('nil');
}
callme('defa'); //defa pension  emi
callme('half'); //defa pension  emi

echo $echo;
?>