<?php
//also refer www.bnv.bvraghav/projects/pension/calcfd/fdpamtemiROP
function pmtemiROP($p, $fv, $term, $int,$factor=1, $inf=1.1, $banflag=true)
{
	/** variabls used
	* $p	Principal/present val/purchase price
	* $fv	future val  / special value for fv is 'half' meaning 50% ROP/further pension
	* $term	periods in years
	* $int	interest rate pa
	* $factor 1 for yearly, 4 for Qrly, 2 for H.yearly, 12 for monthly default 1
	* $inf	inflation constant 1.0 for 0% increase default 1.1
	* $banflag true for pmt at beginning period or false for end of period default true;
	* $defapension, $halfemipension  flags for not calculating future val
	*/
	
	global $defapension, $halfemipension,$halfpension, $fullpension;
	
	
	$int=$int/$factor/100;
	
	$p=abs($p);
	if (is_numeric($fv)) $fv=abs($fv);
	//echo $fv.' ';
	$xfv=$fv;
	$halfval=false;
	if ($fv==='half') 
	{
		$fv=round($p/2,2);
		$halfval=true;
	}
	$top=$p;
	$bot=0;
	$rectop=$p; $recbot=0;
	$topdif=$botdif=$p;
	$n=0;
	while((++$n)<100 && $top>$bot+0.01)
	{	$mid=round(($top+$bot)/2,2);
		// following line special for pensionfdpmtemiROP.php file
		$revco=$fv;
		//echo "<br>$revco  $fv";
		if ($defapension || $halfemipension)
		{	if ($banflag===true && $fv>0){  $revco=$fv+round((($halfval===true)?$mid/2:$mid),2);}
			//$me=$revco." $banflag me $fv $mid ";
		}
		//if ($defapension) die( "$me me2  $revco  $fv<br>");
		
		for ($i=1; $i<=$term; $i++)
		{	
			for ( $k=1; $k<=$factor;$k++)
			{	if ( $i==1 && $k==1){ $bf=$p; $start=$mid; //echo "<br>$n  $start   $dif"; 
						}
				if ($banflag===true) $intpayble=round(($bf-$start)*$int,2); else $intpayble=round($bf*$int,2);
				//if ($banflag===true) $intpayble=($bf-$start)*$int; else $intpayble=$bf*$int;
				$co=$bf+$intpayble-$start;
				$co=round($co,2);
				//if ($print===true) echo "<br>$n $bf $start $intpayble $co ";
		
				if ($i<$term && $k==$factor) $start*=$inf; $start=round($start,2);
				$bf=$co; 
			}
		}
		if ($xfv==='full') { if ($banflag) $revco=round($start/$int,2)+$start; else $revco=$start/$int; }
		if ($xfv==='half' && $halfpension) { $fur=round($start/2,2); if ($banflag) $revco=$fur/$int+$fur; else $revco=$fur/$int; }
		$revco=round($revco,2);
		$dif= $revco-$co;
		if ($top-$bot<=0.021) { if ($print===true) break; else $print=true;  continue;} 
		if ($co>$revco) { $bot=$mid;$recbot=$mid; $botdif=$dif; } else { $top=$mid; $rectop=$top; $topdif=$dif;}
	}
	//echo "<br>**$fv**$revco**$topdif****$dif****$botdif****  $top ***** $mid ***** $bot***<br>";
	$result=$mid; if (abs($topdif)<abs($dif)) {$result=$rectop; $dif=$topdif;} if (abs($botdif)<abs($dif) ) $result=$recbot; 
	return $result;
}
//echo pmtemiROP(100000,100000,25,7.647,1,1.0,true);
//echo pmtemiROP(100000,100000,25,7.7626,1,1.0,true);
//9.01487
//echo pmtemiROP(423015,0,46,4.42282,2,1.0,true);
//echo pmtemiROP(100000,'half',25,7.94856,1,1.0,true);